Snapservice Clusters VirtualMachines Snapshots get
Get the detailed information regarding the specified virtual machine snapshot.
This operation was added in vSphere API 8.0.3.0.
Returns an authorization error if you do not have all of the privileges described as follows:
- The resource
ClusterComputeResourcereferenced by the parameter cluster requiresSystem.Read.
Identifier of the cluster.
The parameter must be an identifier for the resource type: ClusterComputeResource.
Identifier of the virtual machine.
The parameter must be an identifier for the resource type: VirtualMachine.
Identifier of the virtual machine snapshot.
The parameter must be an identifier for the resource type: com.vmware.snapservice.vm.snapshot.
Information about the virtual mahcine snapshot.
{
"name": "string",
"snapshot_type": "string",
"created_at": "string",
"expires_at": "string",
"vm": "string",
"pg": "string",
"disk_snapshots": [
{
"disk_key": 0,
"sequence_uuid": "string",
"epoch": 0,
"uri": "string"
}
],
"labels": [
{
"category": "string",
"name": "string"
}
]
}
Snapshot name. For a snapshot triggered by a periodic schedule, name will be system generated.
This property was added in vSphere API 8.0.3.0.
Snapshot type.
For more information see: Snapservice Clusters VirtualMachines Snapshots Type.
This property was added in vSphere API 8.0.3.0.
Creation time.
This property was added in vSphere API 8.0.3.0.
Expiry time.
This property was added in vSphere API 8.0.3.0.
missing or null if there is no expiry for the snapshot.
Identifier of the virtual machine for which the snapshot was taken.
TODO: Remove this once the VM snapshot List/Get is implemented, We do not need this since the query is already being performed on a specific VM.
This property was added in vSphere API 8.0.3.0.
When clients pass a value of this schema as a parameter, the property must be an identifier for the resource type: VirtualMachine. When operations return a value of this schema as a response, the property will be an identifier for the resource type: VirtualMachine.
Identifier of the protection group for which this snapshot was taken.
This property was added in vSphere API 8.0.3.0.
missing or null if the snapshot was not taken as part of a protection group.
When clients pass a value of this schema as a parameter, the property must be an identifier for the resource type: com.vmware.snapservice.protection_group. When operations return a value of this schema as a response, the property will be an identifier for the resource type: com.vmware.snapservice.protection_group.
List of virtual machine disk snapshots that were taken for this snapshot instance.
This property was added in vSphere API 8.0.3.0.
All the labels associated with this Snapshot. if the snapshot does not have any labels this will be empty
This property was added in vSphere API 9.1.0.0.
This property is optional because it was added in a newer version than its parent node.
If the caller is not authenticated.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": {
"id": "string",
"params": {
"params": "Vapi Std LocalizationParam Object"
}
},
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 7.0.0.0.
This property is optional because it was added in a newer version than its parent node.
If the caller is not authorized to perform the operation.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string",
"challenge": "string"
}
Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.
For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"
This property was added in vSphere API 9.1.0.0.
This property is optional because it was added in a newer version than its parent node.
If no cluster associated with cluster or no virtual machine associated with vm or no snapshot associated with snapshot is found in the system.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
If there is unknown internal error.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
Stack of one or more localizable messages for human error consumers.
The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.
Each subsequent message in the stack describes the "cause" of the prior message.
Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.
Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.
The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.
Some operations will not set this property when reporting errors.
Discriminator field to help API consumers identify the structure type.
For more information see: Vapi Std Errors Error Type.
This property was added in vSphere API 6.7.2.
Can be missing or null for compatibility with preceding implementations.
If the service is not available.
{
"messages": [
{
"id": "string",
"default_message": "string",
"args": [
"string"
],
"params": {
"params": {
"s": "string",
"dt": "string",
"i": 0,
"d": "number",
"l": "Vapi Std NestedLocalizableMessage Object",
"format": "string",
"precision": 0
}
},
"localized": "string"
}
],
"data": {},
"error_type": "string"
}
curl -H 'Authorization: <value>' https://{api_host}/api/snapservice/clusters/{cluster}/virtual-machines/{vm}/snapshots/{snapshot}